Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.core
Interface IJavaMethodEntryBreakpoint

All Superinterfaces:
  IAdaptable, IBreakpoint, IJavaBreakpoint, IJavaLineBreakpoint, ILineBreakpoint

public interface IJavaMethodEntryBreakpoint
extends IJavaLineBreakpoint

A method entry breakpoint suspends execution on the first executable line of a method when entered. Entry breakpoints are only installable in methods that have executable code (i.e. do not work in native methods).

This breakpoint provides a subset of the function provided by `IJavaMethodBreakpoint` - i.e. break on enter. The implementation of this breakpoint is more efficient than the general method breakpoint, as the implementation is based on line breakpoints and does not require method enter/exit tracing in the target VM.

Clients are not intended to implement this interface.

Since:
  2.0

Field Summary

Fields inherited from interface org.eclipse.jdt.debug.core.IJavaBreakpoint
`SUSPEND_THREAD, SUSPEND_VM`

Fields inherited from interface org.eclipse.debug.core.model.IBreakpoint
`BREAKPOINT_MARKER, ENABLED, ID, LINE_BREAKPOINT_MARKER, PERSISTED, REGISTERED`

Method Summary
`String` | `getMethodName()` Returns the name of the method this breakpoint suspends execution in.
`String` | `getMethodSignature()` Returns the signature of the method this breakpoint suspends execution in.

Methods inherited from interface org.eclipse.jdt.debug.core.IJavaLineBreakpoint
`getCondition, isConditionEnabled, isConditionSuspendOnTrue, setCondition, setConditionEnabled, setConditionSuspendOnTrue, supportsCondition`

Methods inherited from interface org.eclipse.jdt.debug.core.IJavaBreakpoint
`addInstanceFilter, getHitCount, getInstanceFilters, getSuspendPolicy, getThreadFilter, getThreadFilters, getTypeName, isInstalled, removeInstanceFilter, removeThreadFilter, setHitCount, setSuspendPolicy, setThreadFilter, supportsInstanceFilters, supportsThreadFilters`

Methods inherited from interface org.eclipse.debug.core.model.IBreakpoint
`delete, getMarker, getModelIdentifier, isEnabled, isPersisted, isRegistered, setEnabled, setMarker, setPersisted, setRegistered`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.debug.core.model.ILineBreakpoint
`getCharEnd, getCharStart, getLineNumber`

Method Detail

### getMethodName

    public String getMethodName()
                         throws CoreException

  Returns the name of the method this breakpoint suspends execution in.

  Returns:
    the name of the method this breakpoint suspends execution in
  Throws:
    `CoreException` - if unable to access the property from this breakpoint's underlying marker

### getMethodSignature

    public String getMethodSignature()
                              throws CoreException

  Returns the signature of the method this breakpoint suspends execution in.

  Returns:
    the signature of the method this breakpoint suspends execution in
  Throws:
    `CoreException` - if unable to access the property from this breakpoint's underlying marker

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.